<?xml version="1.0" encoding="ISO-8859-1"?>
<definitions xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://cp.faraso.org/resellersapi/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="https://cp.faraso.org/resellersapi/">
<types>
<xsd:schema targetNamespace="https://cp.faraso.org/resellersapi/"
>
 <xsd:import namespace="http://schemas.xmlsoap.org/soap/encoding/" />
 <xsd:import namespace="http://schemas.xmlsoap.org/wsdl/" />
 <xsd:complexType name="intArray">
  <xsd:complexContent>
   <xsd:restriction base="SOAP-ENC:Array">
    <xsd:attribute ref="SOAP-ENC:arrayType" wsdl:arrayType="xsd:int[]"/>
   </xsd:restriction>
  </xsd:complexContent>
 </xsd:complexType>
 <xsd:complexType name="stringArray">
  <xsd:complexContent>
   <xsd:restriction base="SOAP-ENC:Array">
    <xsd:attribute ref="SOAP-ENC:arrayType" wsdl:arrayType="xsd:string[]"/>
   </xsd:restriction>
  </xsd:complexContent>
 </xsd:complexType>
</xsd:schema>
</types>
<message name="accountInfo">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" /></message>
<message name="accountInfoResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="firstname" type="xsd:string" />
  <part name="lastname" type="xsd:string" />
  <part name="companyname" type="xsd:string" />
  <part name="email" type="xsd:string" />
  <part name="credit" type="xsd:string" /></message>
<message name="registerDomain">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="period" type="xsd:string" />
  <part name="contact" type="tns:stringArray" />
  <part name="ns1" type="xsd:string" />
  <part name="ns2" type="xsd:string" />
  <part name="ns3" type="xsd:string" />
  <part name="ns4" type="xsd:string" />
  <part name="extparams" type="tns:stringArray" /></message>
<message name="registerDomainResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="orderid" type="xsd:string" />
  <part name="invoiceid" type="xsd:string" /></message>
<message name="transferDomain">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="eppcode" type="xsd:string" />
  <part name="period" type="xsd:string" />
  <part name="contact" type="tns:stringArray" />
  <part name="ns1" type="xsd:string" />
  <part name="ns2" type="xsd:string" />
  <part name="ns3" type="xsd:string" />
  <part name="ns4" type="xsd:string" />
  <part name="extparams" type="tns:stringArray" /></message>
<message name="transferDomainResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="orderid" type="xsd:string" />
  <part name="invoiceid" type="xsd:string" /></message>
<message name="renewDomain">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="period" type="xsd:string" /></message>
<message name="renewDomainResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="orderid" type="xsd:string" />
  <part name="invoiceid" type="xsd:string" /></message>
<message name="updateLockStatus">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="lockstatus" type="xsd:string" /></message>
<message name="updateLockStatusResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="updateDomainNameservers">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="ns1" type="xsd:string" />
  <part name="ns2" type="xsd:string" />
  <part name="ns3" type="xsd:string" />
  <part name="ns4" type="xsd:string" />
  <part name="ns5" type="xsd:string" /></message>
<message name="updateDomainNameserversResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="domainContactDetails">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="domainContactDetailsResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="details" type="xsd:string" /></message>
<message name="updateDomainContactDetails">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="contactdetails" type="xsd:string" /></message>
<message name="updateDomainContactDetailsResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="registerNameserver">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="nameserver" type="xsd:string" />
  <part name="ipaddress" type="xsd:string" /></message>
<message name="registerNameserverResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="deleteNameserver">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="nameserver" type="xsd:string" /></message>
<message name="deleteNameserverResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="modifyNameserver">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="nameserver" type="xsd:string" />
  <part name="currentipaddress" type="xsd:string" />
  <part name="newipaddress" type="xsd:string" /></message>
<message name="modifyNameserverResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="listNameserver">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="listNameserverResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="list" type="xsd:string" /></message>
<message name="listDNS">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="listDNSResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="list" type="xsd:string" /></message>
<message name="updateDNS">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" />
  <part name="records" type="xsd:string" /></message>
<message name="updateDNSResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="domainInfo">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="domainInfoResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="info" type="xsd:string" /></message>
<message name="verificationDomainInfo">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="verificationDomainInfoResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="info" type="xsd:string" /></message>
<message name="restartDomainVerification">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="restartDomainVerificationResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="resendFOA">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="resendFOAResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" /></message>
<message name="getdomainpanel">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="domain" type="xsd:string" /></message>
<message name="getdomainpanelResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="panelusername" type="xsd:string" />
  <part name="passwordresettoken" type="xsd:string" /></message>
<message name="createService">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="type" type="xsd:string" />
  <part name="period" type="xsd:string" />
  <part name="options" type="xsd:string" />
  <part name="fields" type="xsd:string" /></message>
<message name="createServiceResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="orderid" type="xsd:string" />
  <part name="invoiceid" type="xsd:string" />
  <part name="sid" type="xsd:string" />
  <part name="result" type="xsd:string" /></message>
<message name="serviceInfo">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="sid" type="xsd:string" /></message>
<message name="serviceInfoResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="result" type="xsd:string" /></message>
<message name="serviceAction">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="sid" type="xsd:string" />
  <part name="action" type="xsd:string" />
  <part name="params" type="xsd:string" /></message>
<message name="serviceActionResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="result" type="xsd:string" /></message>
<message name="serviceList">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" /></message>
<message name="serviceListResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="result" type="xsd:string" /></message>
<message name="serviceRenew">
  <part name="api_user" type="xsd:string" />
  <part name="api_pass" type="xsd:string" />
  <part name="sid" type="xsd:string" /></message>
<message name="serviceRenewResponse">
  <part name="status" type="xsd:int" />
  <part name="message" type="xsd:string" />
  <part name="result" type="xsd:string" /></message>
<portType name="Faraso Samaneh Pasargad - Faraso Resellers APIPortType">
  <operation name="accountInfo">
    <documentation>Get Account Info</documentation>
    <input message="tns:accountInfo"/>
    <output message="tns:accountInfoResponse"/>
  </operation>
  <operation name="registerDomain">
    <documentation>Register New Domain &lt;br&gt;
contact : Array of string&lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[0] email, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[1] firstname, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[2] lastname, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[3] companyname, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[4] address, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[5] city, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[6] state, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[7] postcode, &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[8] country (2 character ISO country code), &lt;br&gt;
&amp;nbsp;&amp;nbsp;contacts[9] phonenumber, &lt;br&gt;
&amp;nbsp;&amp;nbsp;extparams is extended paramters &lt;br&gt;</documentation>
    <input message="tns:registerDomain"/>
    <output message="tns:registerDomainResponse"/>
  </operation>
  <operation name="transferDomain">
    <documentation>Transfer Domain</documentation>
    <input message="tns:transferDomain"/>
    <output message="tns:transferDomainResponse"/>
  </operation>
  <operation name="renewDomain">
    <documentation>Renew Domain</documentation>
    <input message="tns:renewDomain"/>
    <output message="tns:renewDomainResponse"/>
  </operation>
  <operation name="updateLockStatus">
    <documentation>Update Lock Status &lt;br&gt;
lockstatus : value must be locked or unlocked</documentation>
    <input message="tns:updateLockStatus"/>
    <output message="tns:updateLockStatusResponse"/>
  </operation>
  <operation name="updateDomainNameservers">
    <documentation>Update Domain Nameservers</documentation>
    <input message="tns:updateDomainNameservers"/>
    <output message="tns:updateDomainNameserversResponse"/>
  </operation>
  <operation name="domainContactDetails">
    <documentation>Get Contact Details</documentation>
    <input message="tns:domainContactDetails"/>
    <output message="tns:domainContactDetailsResponse"/>
  </operation>
  <operation name="updateDomainContactDetails">
    <documentation>Update Domain Contacts Details</documentation>
    <input message="tns:updateDomainContactDetails"/>
    <output message="tns:updateDomainContactDetailsResponse"/>
  </operation>
  <operation name="registerNameserver">
    <documentation>Register Nameserver</documentation>
    <input message="tns:registerNameserver"/>
    <output message="tns:registerNameserverResponse"/>
  </operation>
  <operation name="deleteNameserver">
    <documentation>Delete Nameserver</documentation>
    <input message="tns:deleteNameserver"/>
    <output message="tns:deleteNameserverResponse"/>
  </operation>
  <operation name="modifyNameserver">
    <documentation>Modify Nameserver</documentation>
    <input message="tns:modifyNameserver"/>
    <output message="tns:modifyNameserverResponse"/>
  </operation>
  <operation name="listNameserver">
    <documentation>List Nameservers of a Domain</documentation>
    <input message="tns:listNameserver"/>
    <output message="tns:listNameserverResponse"/>
  </operation>
  <operation name="listDNS">
    <documentation>List DNS Records of a Domain</documentation>
    <input message="tns:listDNS"/>
    <output message="tns:listDNSResponse"/>
  </operation>
  <operation name="updateDNS">
    <documentation>Update DNS Records of a Domain</documentation>
    <input message="tns:updateDNS"/>
    <output message="tns:updateDNSResponse"/>
  </operation>
  <operation name="domainInfo">
    <documentation>Domain Info</documentation>
    <input message="tns:domainInfo"/>
    <output message="tns:domainInfoResponse"/>
  </operation>
  <operation name="verificationDomainInfo">
    <documentation>Verification Domain Info</documentation>
    <input message="tns:verificationDomainInfo"/>
    <output message="tns:verificationDomainInfoResponse"/>
  </operation>
  <operation name="restartDomainVerification">
    <documentation>Restart Domain Contact Email Verificaion</documentation>
    <input message="tns:restartDomainVerification"/>
    <output message="tns:restartDomainVerificationResponse"/>
  </operation>
  <operation name="resendFOA">
    <documentation>Resend FOA</documentation>
    <input message="tns:resendFOA"/>
    <output message="tns:resendFOAResponse"/>
  </operation>
  <operation name="getdomainpanel">
    <documentation>Get Domain Panel</documentation>
    <input message="tns:getdomainpanel"/>
    <output message="tns:getdomainpanelResponse"/>
  </operation>
  <operation name="createService">
    <documentation>Create Service</documentation>
    <input message="tns:createService"/>
    <output message="tns:createServiceResponse"/>
  </operation>
  <operation name="serviceInfo">
    <documentation>Service Info</documentation>
    <input message="tns:serviceInfo"/>
    <output message="tns:serviceInfoResponse"/>
  </operation>
  <operation name="serviceAction">
    <documentation>Do Service Action</documentation>
    <input message="tns:serviceAction"/>
    <output message="tns:serviceActionResponse"/>
  </operation>
  <operation name="serviceList">
    <documentation>Get Service Prices</documentation>
    <input message="tns:serviceList"/>
    <output message="tns:serviceListResponse"/>
  </operation>
  <operation name="serviceRenew">
    <documentation>Service Renew</documentation>
    <input message="tns:serviceRenew"/>
    <output message="tns:serviceRenewResponse"/>
  </operation>
</portType>
<binding name="Faraso Samaneh Pasargad - Faraso Resellers APIBinding" type="tns:Faraso Samaneh Pasargad - Faraso Resellers APIPortType">
  <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
  <operation name="accountInfo">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#accountInfo" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="registerDomain">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#registerDomain" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="transferDomain">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#transferDomain" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="renewDomain">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#renewDomain" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="updateLockStatus">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#updateLockStatus" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="updateDomainNameservers">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#updateDomainNameservers" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="domainContactDetails">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#domainContactDetails" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="updateDomainContactDetails">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#updateDomainContactDetails" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="registerNameserver">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#registerNameserver" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="deleteNameserver">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#deleteNameserver" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="modifyNameserver">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#modifyNameserver" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="listNameserver">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#listNameserver" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="listDNS">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#listDNS" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="updateDNS">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#updateDNS" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="domainInfo">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#domainInfo" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="verificationDomainInfo">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#verificationDomainInfo" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="restartDomainVerification">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#restartDomainVerification" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="resendFOA">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#resendFOA" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="getdomainpanel">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#getdomainpanel" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="createService">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#createService" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="serviceInfo">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#serviceInfo" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="serviceAction">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#serviceAction" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="serviceList">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#serviceList" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
  <operation name="serviceRenew">
    <soap:operation soapAction="https://cp.faraso.org/resellersapi/#serviceRenew" style="rpc"/>
    <input><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></input>
    <output><soap:body use="encoded" namespace="https://cp.faraso.org/resellersapi/" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/></output>
  </operation>
</binding>
<service name="Faraso Samaneh Pasargad - Faraso Resellers API">
  <port name="Faraso Samaneh Pasargad - Faraso Resellers APIPort" binding="tns:Faraso Samaneh Pasargad - Faraso Resellers APIBinding">
    <soap:address location="https://cp.faraso.org:443/resellersapi/index.php"/>
  </port>
</service>
</definitions>
